# Copyright (C) 2024-2025 LibreWeddingPlanner contributors

# frozen_string_literal: true

class ApplicationMailer < ActionMailer::Base
  class << self
    private

    def default_from
      File.read('/run/secrets/smtp_user_name').strip
    rescue Errno::ENOENT
      'development@example.com'
    end
  end

  default from: default_from
  layout 'mailer'
end
